Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get entries relations
        • Rename entry
        • Get entries permissions
        • Get entry revisions
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. Entries
  4. Get entry revisions
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

Get entry revisions

Returns revisions of the specified DataLens entry.

RequestRequest

POST

https://api.datalens.tech/rpc/getRevisions

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "entryId": "example",
  "pageSize": 1000,
  "pageToken": "example",
  "revIds": [
    "example"
  ]
}

Name

Description

entryId

Type: string

Unique identifier of the DataLens entry.

Example: example

pageSize

Type: integer

Number of revisions per page.

Default: 1000

Min value: 1

Max value: 1000

pageToken

Type: string

Token for retrieving the next page of revisions.

Example: example

revIds

Type: string[]

IDs of revisions to return.

Min items: 1

Max items: 1000

Example
[
  "example"
]

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entries": [
    {
      "revId": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "isSaved": true,
      "isPublished": true
    }
  ],
  "nextPageToken": "example"
}

Name

Description

entries

Type: object[]

isPublished

Type: boolean

Whether this is the published revision.

isSaved

Type: boolean

Whether this is the latest saved revision.

revId

Type: string

Unique identifier of the revision.

Example: example

updatedAt

Type: string

Date and time when the revision was last updated.

Example: example

updatedBy

Type: string

ID of the user who last updated the revision.

Example: example

Example
[
  {
    "revId": "example",
    "updatedAt": "example",
    "updatedBy": "example",
    "isSaved": true,
    "isPublished": true
  }
]

nextPageToken

Type: string

Token for retrieving the next page of revisions.

Example: example

Was the article helpful?

Previous
Get entries permissions
Next
Overview
© 2026 Direct Cursus Technology L.L.C.